#!/usr/bin/env python

'''

    @version $Id: aamaprotator,v 1.5 2005/10/19 05:52:58 davidfancella Exp $

    This file is part of aamaprotator.

    aamaprotator is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    aamaprotator is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with aamaprotator; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    aamaprotator is copyright 2005 by David Fancella

'''

# just takes everytime.tpl and turns it into everytime.cfg

import sys, os

if __name__ == "__main__":
    # First thing's first, get the installed location stuck in there
    fullbase = sys.path.pop(0)
    
    # libdir is here just so you can change the name of the module, however you'll need to change
    # it in all the files too
    libdir = 'libaamaprotator'
    
    # fulllibdir is determined farther down, this initialization is just there for fun
    fulllibdir = 'libaamaprotator'
    prefix = ''
    
    loopstopper = False
    
    head = fullbase
    
    while not loopstopper:
        if os.path.exists(os.path.join(head, libdir) ):
            fulllibdir = os.path.join(head, libdir)
            sys.path.insert(0,os.path.join(head) )
            prefix = head
            break
        head, tail = os.path.split(head)
        if os.path.exists(os.path.join(head, 'lib', libdir) ):
            fulllibdir = os.path.join(head, 'lib')
            sys.path.insert(0,fulllibdir)
            prefix = head
            break
    from libaamaprotator import paths
    from libaamaprotator import main
    paths.Initialize(fullbase)
    main.main()
    #main(head, tail)
